<!DOCTYPE html>
<html>
    <head>
        <title>Formulario de Frutas</title>
        <meta charset="UTF-8">
    </head>
    <body>
        <form action="registrardatos.php" method="post">
            Seleccione una fruta o verdura:
            <select name="articulo">
              <optgroup label="Frutas">
                <option value="1">Naranja</option>
                <option value="2">Manzana</option>
                <option value="3">Sandia</option>
                <option value="4">Mango</option>
                <option value="5">Fresa</option>
              </optgroup>
              <optgroup label="Verduras"> 
                <option value="7">Lechuga</option>
                <option value="8">Acelga</option>
                <option value="9">Espinaca</option>
                <option value="10">Papas</option>
                <option value="11">Col</option>
                <option value="12">Zanahoria</option>
                <option value="13">Brocoli</option>
                <option value="14">Calabaza</option>
              </optgroup>
            </select>
            <br>
            <input type="" value="Enviar"
            <br>

            <button type="submit">
                Texto a mostrar dentro del boton
            </button>


        </form>
    </body>
</html>